Folks.BackendStore – folks Reference Manual

# BackendStore

## Object Hierarchy:

## Description:

public class BackendStore : Object

Responsible for backend loading.

The BackendStore manages the set of available Folks backends. The BackendStore.load_backends function loads all compatible and enabled backends and the BackendStore.backend_available signal notifies when these backends are ready.

Namespace: Folks
Package: folks

## Content:

### Properties:

- public Map<string,Backend> enabled_backends { get; }
  The list of backends visible to this store which have not been explicitly disabled.
- public bool is_prepared { get; }
  Whether BackendStore.prepare has successfully completed for this store.

### Static methods:

- public static BackendStore dup ()
  Create a new BackendStore.

### Methods:

- public void add_backend (Backend backend)
  Add a new Backend to the BackendStore.
- public async void disable_backend (string name)
  Disable a backend.
- public Backend? dup_backend_by_name (string name)
  Get a backend from the store by name. If a backend is returned, its reference count is increased.
- public async void enable_backend (string name)
  Enable a backend.
- public Collection<Backend> list_backends ()
  List the currently loaded backends.
- public async void load_backends () throws Error
  Find, load, and prepare all backends which are not disabled.
- public async void prepare ()
  Prepare the BackendStore for use.

### Signals:

- public signal void backend_available (Backend backend)
  Emitted when a backend has been added to the BackendStore.

### Fields:

- public static string KEY_FILE_GROUP_ALL_OTHERS
  This keyword in the keyfile acts as a wildcard for all backends not already listed in the same file.

### Inherited Members:

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref